io.flutter.app

## Class FlutterActivity

- java.lang.Object
- - android.content.Context
  - - android.content.ContextWrapper
    - - android.view.ContextThemeWrapper
      - - android.app.Activity
        - - io.flutter.app.FlutterActivity

- All Implemented Interfaces:
    ComponentCallbacks, ComponentCallbacks2, AutofillManager.AutofillClient, KeyEvent.Callback, LayoutInflater.Factory, LayoutInflater.Factory2, View.OnCreateContextMenuListener, Window.Callback, Window.OnWindowDismissedCallback, Window.WindowControllerCallback, FlutterActivityDelegate.ViewFactory, PluginRegistry, FlutterView.Provider

  Deprecated.
  `FlutterActivity` is the new API that now replaces this class. See https://flutter.dev/go/android-project-migration for more migration details.

      @Deprecated
      public class FlutterActivity
      extends Activity
      implements FlutterView.Provider, PluginRegistry, FlutterActivityDelegate.ViewFactory

  Deprecated base class for activities that use Flutter.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class android.app.Activity

      `Activity.TranslucentConversionListener`

    - ### Nested classes/interfaces inherited from class android.content.Context

      `Context.BindServiceFlags, Context.CreatePackageOptions, Context.DatabaseMode, Context.FileMode, Context.PreferencesMode, Context.RegisterReceiverFlags, Context.ServiceName`

    - ### Nested classes/interfaces inherited from interface io.flutter.plugin.common.PluginRegistry

      `PluginRegistry.ActivityResultListener, PluginRegistry.NewIntentListener, PluginRegistry.PluginRegistrantCallback, PluginRegistry.Registrar, PluginRegistry.RequestPermissionsResultListener, PluginRegistry.UserLeaveHintListener, PluginRegistry.ViewDestroyListener`

    - ### Nested classes/interfaces inherited from interface android.content.ComponentCallbacks2

      `ComponentCallbacks2.TrimMemoryLevel`

  - ### Field Summary

    - ### Fields inherited from class android.app.Activity

      `DEFAULT_KEYS_DIALER, DEFAULT_KEYS_DISABLE, DEFAULT_KEYS_SEARCH_GLOBAL, DEFAULT_KEYS_SEARCH_LOCAL, DEFAULT_KEYS_SHORTCUT, DONT_FINISH_TASK_WITH_ACTIVITY, FINISH_TASK_WITH_ACTIVITY, FINISH_TASK_WITH_ROOT_ACTIVITY, FOCUSED_STATE_SET, RESULT_CANCELED, RESULT_FIRST_USER, RESULT_OK`

    - ### Fields inherited from class android.content.Context

      `ACCESSIBILITY_SERVICE, ACCOUNT_SERVICE, ACTIVITY_SERVICE, ALARM_SERVICE, APP_OPS_SERVICE, APPWIDGET_SERVICE, AUDIO_SERVICE, AUTOFILL_MANAGER_SERVICE, BACKUP_SERVICE, BATTERY_SERVICE, BIND_ABOVE_CLIENT, BIND_ADJUST_WITH_ACTIVITY, BIND_ALLOW_INSTANT, BIND_ALLOW_OOM_MANAGEMENT, BIND_ALLOW_WHITELIST_MANAGEMENT, BIND_AUTO_CREATE, BIND_DEBUG_UNBIND, BIND_EXTERNAL_SERVICE, BIND_FOREGROUND_SERVICE, BIND_FOREGROUND_SERVICE_WHILE_AWAKE, BIND_IMPORTANT, BIND_IMPORTANT_BACKGROUND, BIND_NOT_FOREGROUND, BIND_NOT_VISIBLE, BIND_SHOWING_UI, BIND_TREAT_LIKE_ACTIVITY, BIND_VISIBLE, BIND_WAIVE_PRIORITY, BLUETOOTH_SERVICE, CAMERA_SERVICE, CAPTIONING_SERVICE, CARRIER_CONFIG_SERVICE, CLIPBOARD_SERVICE, COMPANION_DEVICE_SERVICE, CONNECTIVITY_SERVICE, CONSUMER_IR_SERVICE, CONTEXT_CREDENTIAL_PROTECTED_STORAGE, CONTEXT_DEVICE_PROTECTED_STORAGE, CONTEXT_IGNORE_SECURITY, CONTEXT_INCLUDE_CODE, CONTEXT_REGISTER_PACKAGE, CONTEXT_RESTRICTED, CONTEXTHUB_SERVICE, COUNTRY_DETECTOR, CROSS_PROFILE_APPS_SERVICE, DEVICE_IDENTIFIERS_SERVICE, DEVICE_IDLE_CONTROLLER, DEVICE_POLICY_SERVICE, DISPLAY_SERVICE, DOWNLOAD_SERVICE, DROPBOX_SERVICE, ETHERNET_SERVICE, EUICC_CARD_SERVICE, EUICC_SERVICE, FINGERPRINT_SERVICE, GATEKEEPER_SERVICE, HARDWARE_PROPERTIES_SERVICE, HDMI_CONTROL_SERVICE, INCIDENT_SERVICE, INPUT_METHOD_SERVICE, INPUT_SERVICE, IPSEC_SERVICE, JOB_SCHEDULER_SERVICE, KEYGUARD_SERVICE, LAUNCHER_APPS_SERVICE, LAYOUT_INFLATER_SERVICE, LOCATION_SERVICE, LOWPAN_SERVICE, MEDIA_PROJECTION_SERVICE, MEDIA_ROUTER_SERVICE, MEDIA_SESSION_SERVICE, MIDI_SERVICE, MODE_APPEND, MODE_ENABLE_WRITE_AHEAD_LOGGING, MODE_MULTI_PROCESS, MODE_NO_LOCALIZED_COLLATORS, MODE_PRIVATE, MODE_WORLD_READABLE, MODE_WORLD_WRITEABLE, NETWORK_POLICY_SERVICE, NETWORK_SCORE_SERVICE, NETWORK_STATS_SERVICE, NETWORK_WATCHLIST_SERVICE, NETWORKMANAGEMENT_SERVICE, NFC_SERVICE, NOTIFICATION_SERVICE, NSD_SERVICE, OEM_LOCK_SERVICE, OVERLAY_SERVICE, PERSISTENT_DATA_BLOCK_SERVICE, POWER_SERVICE, PRINT_SERVICE, RADIO_SERVICE, RECEIVER_VISIBLE_TO_INSTANT_APPS, RECOVERY_SERVICE, RESTRICTIONS_SERVICE, SEARCH_SERVICE, SECURE_ELEMENT_SERVICE, SENSOR_SERVICE, SERIAL_SERVICE, SHORTCUT_SERVICE, SIP_SERVICE, SLICE_SERVICE, SOUND_TRIGGER_SERVICE, STATS_COMPANION_SERVICE, STATS_MANAGER, STATUS_BAR_SERVICE, STORAGE_SERVICE, STORAGE_STATS_SERVICE, SYSTEM_HEALTH_SERVICE, SYSTEM_UPDATE_SERVICE, TELECOM_SERVICE, TELEPHONY_SERVICE, TELEPHONY_SUBSCRIPTION_SERVICE, TEXT_CLASSIFICATION_SERVICE, TEXT_SERVICES_MANAGER_SERVICE, TIME_ZONE_RULES_MANAGER_SERVICE, TRUST_SERVICE, TV_INPUT_SERVICE, UI_MODE_SERVICE, UPDATE_LOCK_SERVICE, USAGE_STATS_SERVICE, USB_SERVICE, USER_SERVICE, VIBRATOR_SERVICE, VOICE_INTERACTION_MANAGER_SERVICE, VR_SERVICE, WALLPAPER_SERVICE, WIFI_AWARE_SERVICE, WIFI_P2P_SERVICE, WIFI_RTT_RANGING_SERVICE, WIFI_RTT_SERVICE, WIFI_SCANNING_SERVICE, WIFI_SERVICE, WINDOW_SERVICE`

    - ### Fields inherited from interface android.content.ComponentCallbacks2

      `TRIM_MEMORY_BACKGROUND, TRIM_MEMORY_COMPLETE, TRIM_MEMORY_MODERATE, TRIM_MEMORY_RUNNING_CRITICAL, TRIM_MEMORY_RUNNING_LOW, TRIM_MEMORY_RUNNING_MODERATE, TRIM_MEMORY_UI_HIDDEN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FlutterActivity()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `FlutterNativeView` | `createFlutterNativeView()` Deprecated. Hook for subclasses to customize the creation of the `FlutterNativeView`.
    `FlutterView` | `createFlutterView(Context context)` Deprecated. Hook for subclasses to customize the creation of the `FlutterView`.
    `FlutterView` | `getFlutterView()` Deprecated. Returns the Flutter view used by this activity; will be null before `onCreate(Bundle)` is called.
    `boolean` | `hasPlugin(String key)` Deprecated. Returns whether the specified plugin is known to this registry.
    `protected void` | `onActivityResult(int requestCode, int resultCode, Intent data)` Deprecated.
    `void` | `onBackPressed()` Deprecated.
    `void` | `onConfigurationChanged(Configuration newConfig)` Deprecated.
    `protected void` | `onCreate(Bundle savedInstanceState)` Deprecated.
    `protected void` | `onDestroy()` Deprecated.
    `void` | `onLowMemory()` Deprecated.
    `protected void` | `onNewIntent(Intent intent)` Deprecated.
    `protected void` | `onPause()` Deprecated.
    `protected void` | `onPostResume()` Deprecated.
    `void` | `onRequestPermissionsResult(int requestCode, String[] permissions, int[] grantResults)` Deprecated.
    `protected void` | `onResume()` Deprecated.
    `protected void` | `onStart()` Deprecated.
    `protected void` | `onStop()` Deprecated.
    `void` | `onTrimMemory(int level)` Deprecated.
    `void` | `onUserLeaveHint()` Deprecated.
    `PluginRegistry.Registrar` | `registrarFor(String pluginKey)` Deprecated. Returns a `PluginRegistry.Registrar` for receiving the registrations pertaining to the specified plugin.
    `boolean` | `retainFlutterNativeView()` Deprecated. Hook for subclasses to indicate that the `FlutterNativeView` returned by `FlutterActivityDelegate.ViewFactory.createFlutterNativeView()` should not be destroyed when this activity is destroyed.
    `<T> T` | `valuePublishedByPlugin(String pluginKey)` Deprecated. Returns the value published by the specified plugin, if any.

    - ### Methods inherited from class android.app.Activity

      `addContentView, attachBaseContext, autofillClientAuthenticate, autofillClientDispatchUnhandledKey, autofillClientFindViewByAccessibilityIdTraversal, autofillClientFindViewByAutofillIdTraversal, autofillClientFindViewsByAutofillIdTraversal, autofillClientGetActivityToken, autofillClientGetComponentName, autofillClientGetNextAutofillId, autofillClientGetViewVisibility, autofillClientIsCompatibilityModeEnabled, autofillClientIsFillUiShowing, autofillClientIsVisibleForAutofill, autofillClientRequestHideFillUi, autofillClientRequestShowFillUi, autofillClientResetableStateAvailable, autofillClientRunOnUiThread, canStartActivityForResult, closeContextMenu, closeOptionsMenu, convertFromTranslucent, convertToTranslucent, createPendingResult, dismissDialog, dismissKeyboardShortcutsHelper, dispatchEnterAnimationComplete, dispatchGenericMotionEvent, dispatchKeyEvent, dispatchKeyShortcutEvent, dispatchPopulateAccessibilityEvent, dispatchTouchEvent, dispatchTrackballEvent, dump, enterPictureInPictureMode, enterPictureInPictureMode, enterPictureInPictureMode, enterPictureInPictureModeIfPossible, exitFreeformMode, findViewById, finish, finishActivity, finishActivityFromChild, finishAffinity, finishAfterTransition, finishAndRemoveTask, finishFromChild, getActionBar, getActivityThread, getActivityToken, getApplication, getAutofillClient, getCallingActivity, getCallingPackage, getChangingConfigurations, getComponentName, getContentScene, getContentTransitionManager, getCurrentFocus, getFragmentManager, getIntent, getLastNonConfigurationInstance, getLayoutInflater, getLoaderManager, getLocalClassName, getMaxNumPictureInPictureActions, getMediaController, getMenuInflater, getNextAutofillId, getParent, getParentActivityIntent, getPreferences, getReferrer, getRequestedOrientation, getSearchEvent, getSystemService, getTaskId, getTitle, getTitleColor, getVoiceInteractor, getVolumeControlStream, getWindow, getWindowManager, hasWindowFocus, invalidateOptionsMenu, isActivityTransitionRunning, isBackgroundVisibleBehind, isChangingConfigurations, isChild, isDestroyed, isDisablingEnterExitEventForAutofill, isFinishing, isImmersive, isInMultiWindowMode, isInPictureInPictureMode, isLocalVoiceInteractionSupported, isOverlayWithDecorCaptionEnabled, isResumed, isTaskRoot, isVoiceInteraction, isVoiceInteractionRoot, managedQuery, managedQuery, moveTaskToBack, navigateUpTo, navigateUpToFromChild, onActionModeFinished, onActionModeStarted, onActivityReenter, onApplyThemeResource, onAttachedToWindow, onAttachFragment, onBackgroundVisibleBehindChanged, onChildTitleChanged, onContentChanged, onContextItemSelected, onContextMenuClosed, onCreate, onCreateContextMenu, onCreateDescription, onCreateDialog, onCreateDialog, onCreateNavigateUpTaskStack, onCreateOptionsMenu, onCreatePanelMenu, onCreatePanelView, onCreateThumbnail, onCreateView, onCreateView, onDetachedFromWindow, onEnterAnimationComplete, onGenericMotionEvent, onKeyDown, onKeyLongPress, onKeyMultiple, onKeyShortcut, onKeyUp, onLocalVoiceInteractionStarted, onLocalVoiceInteractionStopped, onMenuItemSelected, onMenuOpened, onMovedToDisplay, onMultiWindowModeChanged, onMultiWindowModeChanged, onNavigateUp, onNavigateUpFromChild, onNewActivityOptions, onOptionsItemSelected, onOptionsMenuClosed, onPanelClosed, onPictureInPictureModeChanged, onPictureInPictureModeChanged, onPostCreate, onPostCreate, onPrepareDialog, onPrepareDialog, onPrepareNavigateUpTaskStack, onPrepareOptionsMenu, onPreparePanel, onProvideAssistContent, onProvideAssistData, onProvideKeyboardShortcuts, onProvideReferrer, onRestart, onRestoreInstanceState, onRestoreInstanceState, onRetainNonConfigurationInstance, onSaveInstanceState, onSaveInstanceState, onSearchRequested, onSearchRequested, onStateNotSaved, onTitleChanged, onTouchEvent, onTrackballEvent, onUserInteraction, onVisibleBehindCanceled, onWindowAttributesChanged, onWindowDismissed, onWindowFocusChanged, onWindowStartingActionMode, onWindowStartingActionMode, openContextMenu, openOptionsMenu, overridePendingTransition, postponeEnterTransition, recreate, registerForContextMenu, registerRemoteAnimations, releaseInstance, removeDialog, reportFullyDrawn, requestDragAndDropPermissions, requestPermissions, requestShowKeyboardShortcuts, requestVisibleBehind, requestWindowFeature, requireViewById, runOnUiThread, setActionBar, setContentTransitionManager, setContentView, setContentView, setContentView, setDefaultKeyMode, setDisablePreviewScreenshots, setEnterSharedElementCallback, setExitSharedElementCallback, setFeatureDrawable, setFeatureDrawableAlpha, setFeatureDrawableResource, setFeatureDrawableUri, setFinishOnTouchOutside, setImmersive, setIntent, setMediaController, setOverlayWithDecorCaptionEnabled, setPersistent, setPictureInPictureArgs, setPictureInPictureParams, setProgress, setProgressBarIndeterminate, setProgressBarIndeterminateVisibility, setProgressBarVisibility, setRequestedOrientation, setResult, setResult, setSecondaryProgress, setShowWhenLocked, setTaskDescription, setTheme, setTitle, setTitle, setTitleColor, setTurnScreenOn, setVisible, setVolumeControlStream, setVrModeEnabled, shouldShowRequestPermissionRationale, shouldUpRecreateTask, showAssist, showDialog, showDialog, showLockTaskEscapeMessage, startActionMode, startActionMode, startActivities, startActivities, startActivity, startActivity, startActivityAsCaller, startActivityAsUser, startActivityAsUser, startActivityAsUserFromFragment, startActivityForResult, startActivityForResult, startActivityForResult, startActivityForResultAsUser, startActivityForResultAsUser, startActivityForResultAsUser, startActivityFromChild, startActivityFromChild, startActivityFromFragment, startActivityFromFragment, startActivityIfNeeded, startActivityIfNeeded, startIntentSender, startIntentSender, startIntentSenderForResult, startIntentSenderForResult, startIntentSenderFromChild, startIntentSenderFromChild, startIntentSenderFromChildFragment, startLocalVoiceInteraction, startLockTask, startManagingCursor, startNextMatchingActivity, startNextMatchingActivity, startPostponedEnterTransition, startSearch, stopLocalVoiceInteraction, stopLockTask, stopManagingCursor, takeKeyEvents, triggerSearch, unregisterForContextMenu`

    - ### Methods inherited from class android.view.ContextThemeWrapper

      `applyOverrideConfiguration, getAssets, getOverrideConfiguration, getResources, getTheme, getThemeResId`

    - ### Methods inherited from class android.content.ContextWrapper

      `bindService, bindServiceAsUser, bindServiceAsUser, canLoadUnsafeResources, checkCallingOrSelfPermission, checkCallingOrSelfUriPermission, checkCallingPermission, checkCallingUriPermission, checkPermission, checkPermission, checkSelfPermission, checkUriPermission, checkUriPermission, checkUriPermission, clearWallpaper, createApplicationContext, createConfigurationContext, createContextForSplit, createCredentialProtectedStorageContext, createDeviceProtectedStorageContext, createDisplayContext, createPackageContext, createPackageContextAsUser, databaseList, deleteDatabase, deleteFile, deleteSharedPreferences, enforceCallingOrSelfPermission, enforceCallingOrSelfUriPermission, enforceCallingPermission, enforceCallingUriPermission, enforcePermission, enforceUriPermission, enforceUriPermission, fileList, getApplicationContext, getApplicationInfo, getBaseContext, getBasePackageName, getCacheDir, getClassLoader, getCodeCacheDir, getContentResolver, getDatabasePath, getDataDir, getDir, getDisplay, getDisplayAdjustments, getExternalCacheDir, getExternalCacheDirs, getExternalFilesDir, getExternalFilesDirs, getExternalMediaDirs, getFilesDir, getFileStreamPath, getIApplicationThread, getMainExecutor, getMainLooper, getMainThreadHandler, getNoBackupFilesDir, getObbDir, getObbDirs, getOpPackageName, getPackageCodePath, getPackageManager, getPackageName, getPackageResourcePath, getPreloadsFileCache, getServiceDispatcher, getSharedPreferences, getSharedPreferences, getSharedPreferencesPath, getSystemServiceName, getUserId, getWallpaper, getWallpaperDesiredMinimumHeight, getWallpaperDesiredMinimumWidth, grantUriPermission, isAutofillCompatibilityEnabled, isCredentialProtectedStorage, isDeviceProtectedStorage, isRestricted, moveDatabaseFrom, moveSharedPreferencesFrom, openFileInput, openFileOutput, openOrCreateDatabase, openOrCreateDatabase, peekWallpaper, registerReceiver, registerReceiver, registerReceiver, registerReceiver, registerReceiverAsUser, reloadSharedPreferences, removeStickyBroadcast, removeStickyBroadcastAsUser, revokeUriPermission, revokeUriPermission, sendBroadcast, sendBroadcast, sendBroadcast, sendBroadcast, sendBroadcastAsUser, sendBroadcastAsUser, sendBroadcastAsUser, sendBroadcastAsUser, sendBroadcastAsUserMultiplePermissions, sendBroadcastMultiplePermissions, sendOrderedBroadcast, sendOrderedBroadcast, sendOrderedBroadcast, sendOrderedBroadcast, sendOrderedBroadcastAsUser, sendOrderedBroadcastAsUser, sendOrderedBroadcastAsUser, sendStickyBroadcast, sendStickyBroadcastAsUser, sendStickyBroadcastAsUser, sendStickyOrderedBroadcast, sendStickyOrderedBroadcastAsUser, setAutofillClient, setAutofillCompatibilityEnabled, setWallpaper, setWallpaper, startActivitiesAsUser, startForegroundService, startForegroundServiceAsUser, startInstrumentation, startService, startServiceAsUser, stopService, stopServiceAsUser, unbindService, unregisterReceiver, updateDisplay`

    - ### Methods inherited from class android.content.Context

      `assertRuntimeOverlayThemable, getColor, getColorStateList, getDrawable, getSharedPrefsFile, getString, getString, getSystemService, getText, getUser, obtainStyledAttributes, obtainStyledAttributes, obtainStyledAttributes, obtainStyledAttributes, registerComponentCallbacks, unregisterComponentCallbacks`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface android.view.Window.Callback

      `onPointerCaptureChanged`

- - ### Constructor Detail

    - #### FlutterActivity

          public FlutterActivity()

      Deprecated.

  - ### Method Detail

    - #### getFlutterView

          public FlutterView getFlutterView()

      Deprecated.
      Returns the Flutter view used by this activity; will be null before `onCreate(Bundle)` is called.
      Specified by:
        `getFlutterView` in interface `FlutterView.Provider`

    - #### createFlutterView

          public FlutterView createFlutterView(Context context)

      Deprecated.
      Hook for subclasses to customize the creation of the `FlutterView`.

      The default implementation returns `null`, which will cause the activity to use a newly instantiated full-screen view.

      Specified by:
        `createFlutterView` in interface `FlutterActivityDelegate.ViewFactory`

    - #### createFlutterNativeView

          public FlutterNativeView createFlutterNativeView()

      Deprecated.
      Hook for subclasses to customize the creation of the `FlutterNativeView`.

      The default implementation returns `null`, which will cause the activity to use a newly instantiated native view object.

      Specified by:
        `createFlutterNativeView` in interface `FlutterActivityDelegate.ViewFactory`

    - #### retainFlutterNativeView

          public boolean retainFlutterNativeView()

      Deprecated.
      Description copied from interface: `FlutterActivityDelegate.ViewFactory`
      Hook for subclasses to indicate that the `FlutterNativeView` returned by `FlutterActivityDelegate.ViewFactory.createFlutterNativeView()` should not be destroyed when this activity is destroyed.
      Specified by:
        `retainFlutterNativeView` in interface `FlutterActivityDelegate.ViewFactory`

    - #### hasPlugin

          public final boolean hasPlugin(String key)

      Deprecated.
      Description copied from interface: `PluginRegistry`
      Returns whether the specified plugin is known to this registry.
      Specified by:
        `hasPlugin` in interface `PluginRegistry`
      Parameters:
        `key` - a unique String identifying the plugin; typically the fully qualified name of the plugin's main class.
      Returns:
        true if this registry has handed out a registrar for the specified plugin.

    - #### valuePublishedByPlugin

          public final <T> T valuePublishedByPlugin(String pluginKey)

      Deprecated.
      Description copied from interface: `PluginRegistry`
      Returns the value published by the specified plugin, if any.

      Plugins may publish a single value, such as an instance of the plugin's main class, for situations where external control or interaction is needed. Clients are expected to know the value's type.

      Specified by:
        `valuePublishedByPlugin` in interface `PluginRegistry`
      Parameters:
        `pluginKey` - a unique String identifying the plugin; typically the fully qualified name of the plugin's main class.
      Returns:
        the published value, possibly null.

    - #### registrarFor

          public final PluginRegistry.Registrar registrarFor(String pluginKey)

      Deprecated.
      Description copied from interface: `PluginRegistry`
      Returns a `PluginRegistry.Registrar` for receiving the registrations pertaining to the specified plugin.
      Specified by:
        `registrarFor` in interface `PluginRegistry`
      Parameters:
        `pluginKey` - a unique String identifying the plugin; typically the fully qualified name of the plugin's main class.

    - #### onCreate

          protected void onCreate(Bundle savedInstanceState)

      Deprecated.
      Overrides:
        `onCreate` in class `Activity`

    - #### onStart

          protected void onStart()

      Deprecated.
      Overrides:
        `onStart` in class `Activity`

    - #### onResume

          protected void onResume()

      Deprecated.
      Overrides:
        `onResume` in class `Activity`

    - #### onDestroy

          protected void onDestroy()

      Deprecated.
      Overrides:
        `onDestroy` in class `Activity`

    - #### onBackPressed

          public void onBackPressed()

      Deprecated.
      Overrides:
        `onBackPressed` in class `Activity`

    - #### onStop

          protected void onStop()

      Deprecated.
      Overrides:
        `onStop` in class `Activity`

    - #### onPause

          protected void onPause()

      Deprecated.
      Overrides:
        `onPause` in class `Activity`

    - #### onPostResume

          protected void onPostResume()

      Deprecated.
      Overrides:
        `onPostResume` in class `Activity`

    - #### onRequestPermissionsResult

          public void onRequestPermissionsResult(int requestCode,
                                                 @NonNull
                                                 String[] permissions,
                                                 @NonNull
                                                 int[] grantResults)

      Deprecated.
      Overrides:
        `onRequestPermissionsResult` in class `Activity`

    - #### onActivityResult

          protected void onActivityResult(int requestCode,
                                          int resultCode,
                                          Intent data)

      Deprecated.
      Overrides:
        `onActivityResult` in class `Activity`

    - #### onNewIntent

          protected void onNewIntent(Intent intent)

      Deprecated.
      Overrides:
        `onNewIntent` in class `Activity`

    - #### onUserLeaveHint

          public void onUserLeaveHint()

      Deprecated.
      Overrides:
        `onUserLeaveHint` in class `Activity`

    - #### onTrimMemory

          public void onTrimMemory(int level)

      Deprecated.
      Specified by:
        `onTrimMemory` in interface `ComponentCallbacks2`
      Overrides:
        `onTrimMemory` in class `Activity`

    - #### onLowMemory

          public void onLowMemory()

      Deprecated.
      Specified by:
        `onLowMemory` in interface `ComponentCallbacks`
      Overrides:
        `onLowMemory` in class `Activity`

    - #### onConfigurationChanged

          public void onConfigurationChanged(Configuration newConfig)

      Deprecated.
      Specified by:
        `onConfigurationChanged` in interface `ComponentCallbacks`
      Overrides:
        `onConfigurationChanged` in class `Activity`